> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Context By Id

> Get a user context by id



## OpenAPI

````yaml /openapi.json get /v1/contexts/{context_id}
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/contexts/{context_id}:
    get:
      tags:
        - Contexts
      summary: Get Context By Id
      description: Get a user context by id
      operationId: get_context_by_id_v1_contexts__context_id__get
      parameters:
        - name: context_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Context Id
        - name: la_session
          in: cookie
          required: false
          schema:
            title: La Session
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response_ContextDetailSchema_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Response_ContextDetailSchema_:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          anyOf:
            - $ref: '#/components/schemas/ContextDetailSchema'
            - type: 'null'
        message:
          title: Message
          type: string
      type: object
      title: Response[ContextDetailSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ContextDetailSchema:
      properties:
        name:
          type: string
          title: Name
        prompt:
          type: string
          title: Prompt
        opening_text:
          title: Opening Text
          type: string
        id:
          type: string
          format: uuid
          title: Id
        links:
          title: Links
          items:
            $ref: '#/components/schemas/ContextLinkSchema'
          type: array
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        required_dynamic_variables:
          items:
            type: string
          type: array
          title: Required Dynamic Variables
          readOnly: true
      type: object
      required:
        - name
        - prompt
        - opening_text
        - id
        - created_at
        - updated_at
        - required_dynamic_variables
      title: ContextDetailSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ContextLinkSchema:
      properties:
        url:
          type: string
          title: Url
        faq:
          title: Faq
          type: string
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - url
        - faq
        - id
      title: ContextLinkSchema
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````